For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Pages (deprecated)
              • POSTCreate Page (deprecated)
              • GETGet Page (deprecated)
              • PUTUpdate Page (deprecated)
              • DELDelete Page (deprecated)
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentPages

Create Page (deprecated)

Deprecated
POST
https://api.bigcommerce.com/stores/:store_hash/v2/pages
POST
/stores/:store_hash/v2/pages
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v2/pages \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Customer Support",
> "body": "<p>We'\''re happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
> "type": "page",
> "channel_id": 11,
> "meta_title": "Contact Our Support Team",
> "is_visible": true,
> "parent_id": 5,
> "sort_order": 3,
> "meta_keywords": "support,contact,help,returns",
> "meta_description": "Get in touch with our customer support team for assistance.",
> "is_homepage": false,
> "is_customers_only": false,
> "search_keywords": "support,contact,help,customer service",
> "has_mobile_version": false,
> "mobile_body": "<p>Contact us for support on your mobile device.</p>",
> "contact_fields": "fullname,companyname,phone,orderno,rma",
> "url": "/contact-us/"
>}'
200Create a page
1{
2 "body": "We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.",
3 "channel_id": 11,
4 "has_mobile_version": false,
5 "id": 6,
6 "is_customers_only": true,
7 "is_homepage": false,
8 "is_visible": true,
9 "layout_file": "page.html",
10 "meta_description": "Get in touch with our customer support team for assistance.",
11 "meta_keywords": "support,contact,help,returns",
12 "meta_title": "Contact Our Support Team",
13 "mobile_body": "<p>Contact us for support on your mobile device.</p>",
14 "name": "Customer Support",
15 "parent_id": 5,
16 "search_keywords": "support,contact,help,customer service",
17 "sort_order": 3,
18 "type": "page",
19 "url": "/contact-us/"
20}
Creates a *Page*. The request payload limit is 1MB. **Required Fields** * `type` * `name` * `link` (for a page of `type: link`) * `body` (for a page of `type: raw`) **Read Only Fields** * `id` ## Content Type The default value for `content_type` is `text/html`; however, if `page_type` is set to `raw`, `content_type` can be changed to `text/javascript` or `application/json`. Updating this field lets you place a JavaScript or a JSON file in the root directory. > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To create one or more pages, use Pages V3ʼs [Create pages](/developer/api-reference/rest/admin/content/pages/create-pages) endpoint.
Was this page helpful?
Previous

List Pages (deprecated)

Next

Get Page (deprecated)

Built with

Creates a Page. The request payload limit is 1MB.

Required Fields

  • type
  • name
  • link (for a page of type: link)
  • body (for a page of type: raw)

Read Only Fields

  • id

Content Type

The default value for content_type is text/html; however, if page_type is set to raw, content_type can be changed to text/javascript or application/json. Updating this field lets you place a JavaScript or a JSON file in the root directory.

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To create one or more pages, use Pages V3ʼs Create pages endpoint.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namestringRequired
Page name, as displayed on the storefront.
bodystringRequired

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

typeenumRequired

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
channel_iddoubleOptional
channel ID
meta_titlestringOptional

Text specified for this page’s <title> element. If empty, the value of the name property is used.

is_visiblebooleanOptional

If true, this page appears in the storefront’s navigation menu.

parent_idintegerOptional
ID of any parent Web page.
sort_orderintegerOptional

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

meta_keywordsstringOptional

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_descriptionstringOptional

Description contained within this page’s <meta/> element.

is_homepagebooleanOptional

If true, this page is the storefront’s home page.

is_customers_onlybooleanOptional
If true, this page is for customers only.
search_keywordsstringOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

has_mobile_versionbooleanOptional

If true, this page has a mobile version. (For Blueprint themes only)

mobile_bodystringOptional

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint themes only).

contact_fieldsstringOptional

Where the page’s type is a contact form: object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname: full name of the customer submitting the form; phone: customer’s phone number, as submitted on the form; companyname: customer’s submitted company name; orderno: customer’s submitted order number; rma: customer’s submitted RMA (Return Merchandise Authorization) number.

emailstringOptional

Where the page’s type is a contact form, the email address that receives messages sent using the form.

urlstringOptional
Relative URL on the storefront for this page.
layout_filestringOptional
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
linkstringOptional

If page type is link this field is returned. Required in POST to create a link page.

content_typeenumOptional
Allowed values:

Response

bodystring

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

channel_iddouble
Channel ID.
contact_fieldsstring

Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname - full name of the customer submitting the form; phone - customer’s phone number, as submitted on the form; companyname- customer’s submitted company name; orderno- customer’s submitted order number; rma - customer’s submitted RMA (Return Merchandise Authorization) number.

content_typeenum
Allowed values:
emailstring

Where the page’s type is a contact form, the email address that receives messages sent using the form.

has_mobile_versionboolean

If true, this page has a mobile version. (For Blueprint themes only)

idintegerRead-only

ID of the page. Read-Only.

is_customers_onlyboolean
If true, this page is for customers only.
is_homepageboolean

If true, this page is the storefront’s home page.

is_visibleboolean
If true, this page appears in the storefront navigation menu.
layout_filestring
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
linkstring

If page type is link, this field is returned.

meta_descriptionstring

Description contained within this page’s <meta/> element. HTML to use for this page’s body when viewed in the mobile template.

meta_keywordsstring

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_titlestring

Text specified for this page’s <title> element. If empty, the value of the name property is used.

mobile_bodystring

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).

namestring
Page name, as displayed on the storefront.
parent_idinteger
ID of any parent Web page.
search_keywordsstring

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

sort_orderinteger

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

typeenum

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
urlstring
Relative URL on the storefront for this page.

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.